# Channels Object

> Source: https://truto.one/docs/api-reference/unified-instant-messaging-api/channels/

Schema for the `Channels` resource in **Unified Instant Messaging API**.

## Properties

- **`id`** _(string, required)_
  Unique identifier for the channel.
- **`name`** _(string)_
  Name of the channel.
- **`description`** _(string)_
  Description of the channel.
- **`organization`** _(object)_
  Organization to which the channel belongs.
  - **`id`** _(string)_
    Unique identifier for the organization.
  - **`name`** _(string)_
    Name of the organization.
- **`workspace`** _(object)_
  Workspace to which the channel belongs.
  - **`id`** _(string)_
    Unique identifier for the workspace.
  - **`name`** _(string)_
    Name of the workspace.
- **`group`** _(object)_
  Group to which the channel belongs.
  - **`id`** _(string)_
    Unique identifier for the group.
  - **`name`** _(string)_
    Name of the group.
- **`type`** _(string)_
  Type of the channel.
  Allowed: `channel`, `private_channel`, `dm`, `group_dm`
- **`status`** _(string)_
  Status of the channel.
  Allowed: `active`, `archived`
- **`is_member`** _(boolean)_
  Is the current authed user or application is a member of the channel. This might not directly mean that the user or application can post messages on the channel.
- **`created_by`** _(object)_
  - **`id`** _(string)_
    Unique identifier for the member.
- **`created_at`** _(string)_
  Date and time when the channel was created.
- **`updated_at`** _(string)_
  Date and time when the channel was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/instant-messaging/channels](/docs/api-reference/unified-instant-messaging-api/channels/list) — List Channels
- [GET /unified/instant-messaging/channels/{id}](/docs/api-reference/unified-instant-messaging-api/channels/get) — Get Channels
- [POST /unified/instant-messaging/channels/join](/docs/api-reference/unified-instant-messaging-api/channels/join) — Join Channels
